#define _GLIBCXX_FILESYSTEM
#include<bits/stdc++.h>
#include "vision.h"
using namespace std;
vector<int> getVisionPattern1d() {
    return {1, 2, 1, 1, 2, 2};
}

int getMove1d(vector<int> v) {
    if (v.size() == 3) {
        if (v[0] == 2) return 0;
        else return 2;
    }
    int br2 = 0;
    for (int i = 0; i < v.size(); i++) if (v[i] == 2) br2++;
    if (br2 == 3) {
        if (v[0] == 2) return 0;
        else return 4;
    }
    if (v[1] == 2) return 1;
    else if (v[3] == 2) return 3;
    else if (v[0] == 2) return 4;
    else return 0;

}

vector<vector<int>> getVisionPattern2d() {
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return {0, 0};
}
